2019-12-07 16:56 EST


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002572FSSCPgraphicspublic2012-12-13 00:42
ReporterMjnMixael 
Assigned ToValathil 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWin 7 64 bitOS Version
Product Version3.6.13 
Target VersionFixed in Version3.6.14 
Summary0002572: Shivan Super Laser Causes Null Vec3d
DescriptionLoading it in the F3 lab causes the crash. (On build 8233)

Null vec3d in vec3d normalize.
Trace out of vecmat.cpp and find offending code.

I've included a log.
Steps To ReproduceNo Mods > F3 Lab > Weapons > Lasers > Shivan Super Laser
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0013077

Valathil (developer)

Crash is because of the Retail weapons.tbl defining a zero Laser Length for the laser resulting in normalizing a null vector. Waiting on higher authority to decide how to proceed

~0013078

Valathil (developer)

Fix committed to trunk@8261.

~0013119

chief1983 (administrator)

Fix committed to fs2_open_3_6_14@8333.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2012-01-18 12:52 MjnMixael New Issue
2012-01-18 12:52 MjnMixael File Added: fs2_open.log
2012-01-18 13:10 Valathil Assigned To => Valathil
2012-01-18 13:10 Valathil Status new => assigned
2012-01-18 13:58 Valathil Note Added: 0013077
2012-01-18 13:58 Valathil Status assigned => confirmed
2012-01-18 14:18 Valathil Changeset attached => fs2open trunk r8261
2012-01-18 14:18 Valathil Note Added: 0013078
2012-01-18 14:18 Valathil Status confirmed => resolved
2012-01-18 14:18 Valathil Resolution open => fixed
2012-01-22 23:53 chief1983 Changeset attached => fs2open fs2_open_3_6_14 r8333
2012-01-22 23:53 chief1983 Note Added: 0013119
2012-01-22 23:53 chief1983 Assigned To Valathil => chief1983
2012-01-23 14:56 chief1983 Assigned To chief1983 => Valathil
2012-01-23 14:56 chief1983 Fixed in Version => 3.6.14
2012-12-13 00:42 Goober5000 Relationship added related to 0002155
2012-12-13 00:42 Goober5000 Relationship deleted related to 0002155
+Issue History